#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "QStandardItemModel"
#include "QStandardItem"
#include <QTextDocumentWriter>
#include <QMessageBox>
#include <QFileDialog>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{

    double X, S, m, N, C, V;

     //Считаем значение из первого lineEdit (величина займа)
     QString S1 = ui->lineEdit->text();
     //Переведем значение в число
     S = S1.toInt();

     //Считаем значение из второго lineEdit (срок кредитования)
     QString S2 = ui->lineEdit_2->text();
     //Переведем значение в число
     N = S2.toInt();

     //Считаем значение из второго lineEdit (проц. ставка)
     QString S3 = ui->lineEdit_3->text();
     //Переведем значение в число
     m = S3.toInt();

     //Х — ежемесячный аннуитетный платеж;
m = m / 100 / 12;
     X = S*(m/(1-pow((1+m),-N)));

      //Общая сумма к возврату
     V = X*N;

     //Переплата в денежном выражении
     C = V-S;

     //Выведем результат (ежемесячный аннуитетный платеж)
     ui->textEdit->insertPlainText(QString::number(X));
     //Выведем результат (Переплата в денежном выражении)
     ui->textEdit_2->insertPlainText(QString::number(C));
      //Выведем результат (Общая сумма к возврату)
     ui->textEdit_3->insertPlainText(QString::number(V));
}

void MainWindow::on_pushButton_2_clicked()
{



    QStandardItemModel *model = new QStandardItemModel;
       QStandardItem *item;

       //Заголовки столбцов
       QStringList horizontalHeader;

       horizontalHeader.append("Платёж");
       horizontalHeader.append("Погашение кредита");
       horizontalHeader.append("Погашение процентов");
       horizontalHeader.append("Остаток задолженности");

       //Заголовки строк

       QStringList verticalHeader;
       verticalHeader.append("Месяц 1");
          verticalHeader.append("Месяц 2");



       model->setHorizontalHeaderLabels(horizontalHeader);
       model->setVerticalHeaderLabels(verticalHeader);

       //Первый месяц
       item = new QStandardItem(QString("0"));
       model->setItem(0, 0, item);

       item = new QStandardItem(QString("1"));
       model->setItem(0, 1, item);

       item = new QStandardItem(QString("2"));
       model->setItem(0, 2, item);

       item = new QStandardItem(QString("3"));
       model->setItem(0, 3, item);

       //Второй ряд
       item = new QStandardItem(QString("4"));
       model->setItem(1, 0, item);

       item = new QStandardItem(QString("5"));
       model->setItem(1, 1, item);

       item = new QStandardItem(QString("6"));
       model->setItem(1, 2, item);

       item = new QStandardItem(QString("7"));
       model->setItem(1, 3, item);

       ui->tableView->setModel(model);

       ui->tableView->resizeRowsToContents();
       ui->tableView->resizeColumnsToContents();

}





